.page-register :is(label, select, input[type="file"]) {
    cursor: pointer;
}

.page-register select {
    padding: 7px;
}

.page-register .notifications li.error {
  color: red;
}

.page-register .content-bbs-register {
    background-color: var(--sotokabe-bbs-main-bg-color);
    padding: 20px 30px 50px 30px;
    word-break: break-all;
}

.page-register .content-bbs-register #tab-visitor:not(:checked) ~ .tab-visitor,
.page-register .content-bbs-register #tab-painter:not(:checked) ~ .tab-painter {
    display: none;
}

.page-register .content-bbs-register .tab-labels {
    display: flex;
}

.page-register .content-bbs-register .tab-labels :is(label, .label) {
    background-color: var(--sotokabe-bbs-tab-button-bg-color);
    color: var(--sotokabe-bbs-tab-button-color);
    display: flex;
    justify-content: center;
    padding: 8px 30px;
}
.page-register .content-bbs-register .tab-labels :is(label, .label):first-child {
    border-top-left-radius: 5px;
}
.page-register .content-bbs-register .tab-labels :is(label, .label):last-child {
    border-top-right-radius: 5px;
}
.page-register .content-bbs-register :is(#tab-visitor, #tab-painter):checked ~ .tab-labels .label-tab-register,
.page-register .content-bbs-register #tab-confirm:checked ~ .tab-labels .label-tab-confirm {
    background-color: var(--sotokabe-bbs-tab-button-bg-color-active);
    color: var(--sotokabe-bbs-tab-button-color-active);
}

.page-register :is(.form-register-visitor, .form-register-painter, .form-register-confirm-visitor, .form-register-confirm-painter) {
    align-items: flex-end;
    border: solid 2px var(--sotokabe-bbs-form-border-color);
    display: flex;
    flex-direction: column;
    gap: 10px;
    padding: 20px 20px 10px 15px;
}

.page-register :is(.form-register-visitor, .form-register-painter, .form-register-confirm-visitor, .form-register-confirm-painter) [aria-label="required"] {
    color: red;
}

.page-register :is(.form-register-visitor, .form-register-painter, .form-register-confirm-visitor, .form-register-confirm-painter) .input-area {
    column-gap: 20px;
    display: grid;
    grid-template-columns: auto 1fr;
    grid-template-rows: repeat(3, auto);
    width: 100%;
}
.page-register :is(.form-register-visitor, .form-register-painter) .input-area {
    row-gap: 4px;
}
.page-register :is(.form-register-confirm-visitor, .form-register-confirm-painter) .input-area {
    border: solid 1px var(--sotokabe-bbs-form-confirm-border-color);
}

.page-register :is(.form-register-visitor, .form-register-painter, .form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-container {
    display: grid;
    grid-column: 1 / -1;
    grid-template-columns: subgrid;
    row-gap: 2px;
}

.page-register :is(.form-register-visitor, .form-register-painter) .input-area .input-container > :is(label, .label):first-child {
    padding-top: 2px;
}

.page-register :is(.form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-container h3 {
    font-size: 100%;
    font-weight: normal;
    line-height: 1.8;
    margin: 0;
    padding: 0.25em 1em 0.25em 0.5em;
}

.page-register :is(.form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-container p {
    padding: 8px 4px;
}

.page-register :is(.form-register-visitor, .form-register-painter, .form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-container .visual-checkbox-wrapper {
    align-items: center;
    display: flex;
}

.page-register :is(.form-register-visitor, .form-register-painter, .form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-container .visual-checkbox {
    border: solid 2px var(--sotokabe-bbs-form-visual-checkbox-color);
    border-radius: 2px;
}
.page-register :is(.form-register-visitor, .form-register-painter) .input-area .input-container .visual-checkbox {
    height: 30px;
    width: 30px;
}
.page-register :is(.form-register-visitor, .form-register-painter, .form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-container input:checked  ~ .visual-checkbox-wrapper .visual-checkbox {
    background-color: var(--sotokabe-bbs-form-visual-checkbox-color);
    color: var(--sotokabe-bbs-form-visual-checkbox-color-sub);
}
.page-register :is(.form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-container .visual-checkbox {
    height: 20px;
    width: 20px;
}

.page-register :is(.form-register-visitor, .form-register-painter, .form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-container .visual-checkbox::before {
    content: "\f00c";
}
.page-register :is(.form-register-visitor, .form-register-painter) .input-area .input-container .visual-checkbox::before {
    font-size: 25px;
}
.page-register :is(.form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-container .visual-checkbox::before {
    font-size: 15px;
}
.page-register :is(.form-register-visitor, .form-register-painter, .form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-container input:not(:checked) ~ .visual-checkbox-wrapper .visual-checkbox::before {
    visibility: hidden;
}

.page-register :is(.form-register-visitor, .form-register-painter) .input-area .input-container .note {
    color: var(--sotokabe-bbs-form-note-color);
    font-size: 75%;
    grid-column-end: 3;
    grid-column-start: 1;
}

.page-register :is(.form-register-visitor, .form-register-painter, .form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-container :is(select, input:is([type="text"], [type="email"], [type="password"], [type="date"], [type="number"], [type="tel"], [type="url"])) {
    width: 90%;
}
.page-register :is(.form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-container input:is([type="text"], [type="email"], [type="password"], [type="date"], [type="number"], [type="tel"], [type="url"]) {
    background-color: transparent;
    border: none;
    font-size: 1em;
    pointer-events: none;
}
.page-register :is(.form-register-visitor, .form-register-painter) .input-area .input-image-container.has-image input {
    display: none;
}

.page-register :is(.form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-container p {
    align-items: center;
    display: flex;
    margin-bottom: 0;
}

.page-register :is(.form-register-visitor, .form-register-painter, .form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-image-container img {
    max-height: 100px;
    max-width: 100px;
}
.page-register :is(.form-register-visitor, .form-register-painter) .input-area .input-image-container:not(.has-image) input[type="file"] ~ .preview-image {
    display: none;
}

.page-register :is(.form-register-visitor, .form-register-painter) .input-area .input-image-container input[type="file"] ~ .preview-image {
    position: relative;
}

.page-register :is(.form-register-visitor, .form-register-painter) .input-area .input-image-container input[type="file"] ~ .preview-image .remove-image-btn {
    align-items: center;
    background-color: red;
    border: none;
    border-radius: 50%;
    color: white;
    cursor: pointer;
    display: flex;
    height: 25px;
    justify-content: center;
    left: 5px;
    padding: 0;
    position: absolute;
    top: 5px;
    width: 25px;
}

.page-register :is(.form-register-visitor, .form-register-painter) .input-radios-container .labels {
    display: flex;
    gap: 5px;
}

.page-register :is(.form-register-visitor, .form-register-painter) .input-radios-container .labels label {
    align-items: center;
    display: flex;
    gap: 2.5px;
}

.page-register :is(.form-register-visitor, .form-register-painter) .input-radios-container .labels label::before {
    border: solid 1px var(--sotokabe-bbs-form-radio-circle-border-color);
    border-radius: 100%;
    content: "";
    display: inline-block;
    height: 15px;
    width: 15px;
}
.page-register .content-bbs-register #tab-visitor:checked ~ :is(.tab-visitor, .tab-painter) :is(.form-register-visitor, .form-register-painter) .input-radios-container .labels .label-tab-visitor::before,
.page-register .content-bbs-register #tab-painter:checked ~ :is(.tab-visitor, .tab-painter) :is(.form-register-visitor, .form-register-painter) .input-radios-container .labels .label-tab-painter::before {
    background: radial-gradient(var(--sotokabe-bbs-form-radio-circle-bg-color-active) 50%, #fff 60% 100%);
}

.page-register :is(.form-register-visitor, .form-register-painter, .form-register-confirm-visitor, .form-register-confirm-painter) .button-area {
    display: flex;
    flex-wrap: wrap;
    gap: 5px;
    justify-content: flex-end;
}

.page-register :is(.form-register-visitor, .form-register-painter, .form-register-confirm-visitor, .form-register-confirm-painter) .button-area button[type="submit"] {
    background-color: var(--sotokabe-bbs-submit-button-bg-color);
    border: none;
    color: var(--sotokabe-bbs-submit-button-color);
}

@media screen and (min-width:769px){
    .page-register :is(.form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-container h3 {
        border-right: solid 1px var(--sotokabe-bbs-form-confirm-border-color);
    }
  }

@media screen and (max-width: 768px) {
    .page-register .content-bbs-register .tab-labels {
        flex-direction: column;
    }

    .page-register .content-bbs-register .tab-labels :is(label, .label):first-child {
      border-top-right-radius: 5px;
    }
    .page-register .content-bbs-register .tab-labels :is(label, .label):not(:first-child):last-child {
        border-radius: 0;
    }

    .page-register :is(.form-register-visitor, .form-register-painter, .form-register-confirm-visitor, .form-register-confirm-painter) .input-area {
        grid-template-columns: 100%;
        grid-template-rows: auto;
    }

    .page-register :is(.form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-container:not(:last-child) {
        border-bottom: solid 1px var(--sotokabe-bbs-form-confirm-border-color);
    }

    .page-register :is(.form-register-visitor, .form-register-painter, .form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-container .visual-checkbox-wrapper {
        padding: 8px 4px;
    }

    .page-register :is(.form-register-visitor, .form-register-painter, .form-register-confirm-visitor, .form-register-confirm-painter) .input-area .input-container :is(select, input:is([type="text"], [type="email"], [type="password"], [type="date"], [type="number"], [type="tel"], [type="url"])) {
        width: 100%;
    }
}